GraphicsMagick 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1133557 漏洞类型 缓冲区错误
发布时间 2017-09-29 更新时间 2020-01-09
CVE编号 CVE-2017-14733 CNNVD-ID CNNVD-201709-1155
漏洞平台 N/A CVSS评分 4.3
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201709-1155
|漏洞详情
GraphicsMagick是一套简单的图像处理工具。该工具对图像提供尺寸调整、旋转、加亮等功能。 GraphicsMagick 1.3.26版本中的coders/rle.c文件的ReadRLEImage存在安全漏洞,该漏洞没有正确的处理RLE包头。远程攻击者可借助特制的文件利用该漏洞造成拒绝服务(基于堆的缓冲区越边界读取和应用程序崩溃)。
|参考资料

来源:CONFIRM
链接:http://hg.graphicsmagick.org/hg/GraphicsMagick?cmd=changeset;node=5381c71724e3
来源:CONFIRM
链接:https://sourceforge.net/p/graphicsmagick/bugs/458/